package cn.reghao.autodop.dmaster.notification.model.po;

/**
 * 通知工具类型
 *
 * @author reghao
 * @date 2020-03-01 17:18:53
 */
public enum NotifyType {
    webhook(0, "Webhook"),
    ding(1, "钉钉"),
    email(2, "邮件"),
    sms(3, "短信");

    private final Integer code;
    private final String desc;

    NotifyType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getName() {
        return this.name();
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
